#!/bin/bash

##############################
# This script executes test2 #
##############################

NUM_NODES=50
NUM_TESTS=30
OUTPUT_FILE="data/test_2.dat"

for MAX_WEIGHT in 50 100 150 200
	do
		echo "executing $NUM_TESTS tests with weight $MAX_WEIGHT... writing to $OUTPUT_FILE..."
		echo ">>>>>>NEW TEST BEGIN>>>>>> executing $NUM_TESTS tests with $MAX_WEIGHT weight" >> $OUTPUT_FILE
		for i in $(eval echo "{1..$NUM_TESTS}")
			do
				./generate_instance.sh $NUM_NODES $MAX_WEIGHT >> "/dev/null" #$OUTPUT_FILE
				bin/time2014 --classical_mode --compute_certificates >> $OUTPUT_FILE
			done
		echo "<<<<<<TEST END<<<<<<<<<<<<" >> $OUTPUT_FILE
	done
